;:::::::: LIMITES EN HAUTEUR ET LARGEUR ::::::::

; Tester la hauteur d'une tour (plafond : 9)
(defun trophaut (cube)
  (if (<= (accesg cube 'z) 9)
      nil
      (print "Erreur : le cube est placé trop haut")
      t))

; Lister les cubes d'un pont
; LR : liste des cubes restant à traiter
; LP : liste des cubes appartenant au pont
(defun pon (LR LP)
  (cond ((null LR)         LP)
	((app (car LR) LP) (pon (cdr LR) LP))
	(t                 (pon (nettoiedouble (append (memeniv (car LR)) (cdr LR)) nil) (cons (car LR) LP)))))

; Appeler pon de manière simple
(defun pont (cube)
  (pon (list cube) nil))

; Tester la largeur d'un pont (maximum : 12)
(defun troplarge (LP)
  (if (<= (length LP) 12)
      nil
      (print "Erreur : le pont est trop large")
      t))