;:::::::: FONCTIONS DE NETTOYAGE ::::::::

; Nettoyer la liste des "vide"
(defun nettoievide (L)
  (cond ((null (car L))     nil) ; Cas d'arrêt
	((eq (car L) 'vide) (nettoievide (cdr L))) ; Atome à supprimer : récursivité sur le reste
	(t                  (cons (car L) (nettoievide (cdr L)))))) ; Atome à conserver 

; Nettoyer la liste L des doublons, resultat dans LN
(defun nettoiedouble (L LN)
  (cond ((null L)         LN)
	((app (car L) LN) (nettoiedouble (cdr L) LN))
	(t                (nettoiedouble (cdr L) (cons (car L) LN)))))