;:::::::: PRIMITIVES VUES HORS PROJET (TDs, TPs) ::::::::

; Primitives de travail sur des listes
(defun any (f L) (eval (cons 'or (mapcar f L))))
(defun every (f L) (eval (cons 'and (mapcar f L))))
(defun app (val L) (any (lambda (x) (eq x val)) L))
(defun aieme-terme (ln L)
  (cond ((null ln) L)
	((atom L)  ())
	(t         (aieme-terme (cdr ln) (nth (car ln) L)))))
(defun chnieme (n r L)
  (cond ((null L)  nil)
        ((zerop n) (cons r (cdr L)))
        (t         (cons (car L) (chnieme (1- n) r (cdr L))))))
(defun chaieme (ln r L)
  (cond ((null ln) r)
	((atom L)  L)
	(t         (chnieme (car ln) (chaieme (cdr ln) r (nth (car ln) L)) L))))
(defun indice (r L n)
  (cond ((null L)       nil)
	((eq (car L) r) n)
	(t              (indice r (cdr L) (1+ n)))))
(defun ajfin (r L)
  (if (null L)
      (list r)
      (cons (car L) (ajfin r (cdr L)))))
;(defun retire (r L)
;  (cond ((null L)       L)
;	((eq (car L) r) (retire r (cdr L)))
;	(t              (cons (car L) (retire r (cdr L))))))
(defun retire2 (r L)
  (cond ((null L)       L)
	((eq (car L) r) (cdr L))
	(t              (cons (car L) (retire2 r (cdr L))))))

; Primitives de travail sur des A-Listes
(defun maj (aL cle val)
  (cond ((null aL)               (list (list cle val)))
	((eq (car (car aL)) cle) (cons (list cle val) (cdr aL)))
	(t                       (cons (car aL) (maj (cdr aL) cle val)))))

; Primitives de travail sur des A-Listes globales
(defun initg (x aLg) (set x aLg))
(defun alistg (x) (eval x))
(defun accesg (x cle) (cadr (assoc cle (eval x))))
; En définissant les acces et accesinv du TD : (defun accesinv (x val) (accesinv (eval x) val))
(defun majg (x cle val) (set x (maj (eval x) cle val)))

; Primitives de travail algébrique
(defun carre (x)
  (* x x))